% $Id: floattesting.erl,v 1.2 2019/10/31 04:10:06 leavens Exp leavens $
-module(floattesting).
-compile([debug_info]).
-import(testing,[gTest/4]).
-export([withinMaker/1, hwTolerance/0, withinTest/3]).

-spec withinMaker(float()) -> fun((float(), float()) -> boolean()).
withinMaker(Eps) -> (fun(X,Y) -> abs(X-Y) < Eps end).

hwTolerance() -> 1.0e-5.

-spec withinTest(float(), string(), float()) -> testing:testCase(float()).
withinTest(X,Conn,Y) -> gTest(withinMaker(hwTolerance()), X, Conn, Y).
    
    
			    
    
